Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy.additions
Class NSArrayAdditions

    java.lang.Object
      wogroovy.additions.NSArrayAdditions

public class NSArrayAdditions
extends Object

Constructor Summary
`NSArrayAdditions()`

Method Summary
`static boolean` | `areIdenticalSets(NSArray self, NSArray other)`
`static NSArray` | `arrayByAddingObjectsFromArrayWithoutDuplicates(NSArray self, NSArray other)`
`static NSArray` | `arrayWithoutDuplicateKeyValue(NSArray self, String key)`
`static NSArray` | `arrayWithoutDuplicates(NSArray self)`
`static NSArray` | `collect(NSArray self, Closure closure)`
`static Object` | `computeAvgForKey(NSArray self, String key)`
`static Object` | `computeCountForKey(NSArray self, String key)`
`static Object` | `computeMaxForKey(NSArray self, String key)`
`static Object` | `computeMinForKey(NSArray self, String key)`
`static Object` | `computeSumForKey(NSArray self, String key)`
`static boolean` | `containsAnyObjectFromArray(NSArray self, NSArray objects)`
`static boolean` | `containsArray(NSArray self, NSArray objects)`
`static int` | `count(NSArray self, Object object)`
`static EOArrayDataSource` | `dataSource(NSArray self)`
`static NSDictionary` | `dictionaryGroupedByKeyPath(NSArray self, String keyPath)`
`static NSDictionary` | `dictionaryGroupedByKeyPath(NSArray self, String keyPath, boolean includeNulls, String extraKeyPathForValues)`
`static NSDictionary` | `dictionaryGroupedByToManyKeyPath(NSArray self, String keyPath, boolean includeNulls)`
`static NSDictionary` | `dictionaryOfFormValues(NSArray self, String separator, boolean encrypt)`
`static void` | `each(NSArray self, Closure closure)`
`static void` | `eachWithIndex(NSArray self, Closure closure)`
`static NSArray` | `filteredArrayWithEntityFetchSpecification(NSArray self, String fetchSpec, String entity)`
`static NSArray` | `filteredArrayWithEntityFetchSpecification(NSArray self, String entity, String fetchSpec, NSDictionary bindings)`
`static NSArray` | `filteredArrayWithQualifier(NSArray self, EOQualifier qualifier)`
`static NSArray` | `filteredArrayWithQualifierEvaluation(NSArray self, EOQualifierEvaluation qualifier)`
`static Object` | `find(NSArray self, Closure closure)`
`static NSArray` | `findAll(NSArray self, Closure closure)`
`static NSArray` | `flatten(NSArray self)`
`static String` | `friendlyDisplayForKeyPath(NSArray self, String attribute, String nullArrayDisplay, String separator, String finalSeparator)`
`static Object` | `getAt(NSArray self, int index)`
`static Object` | `getAt(NSArray self, String key)`
`static Object` | `inject(NSArray self, Object value, Closure closure)`
`static NSArray` | `intersectingElements(NSArray self, NSArray other)`
`static List` | `list(NSArray self)`
`static NSArray` | `minus(NSArray left, NSArray right)`
`static NSArray` | `plus(NSArray left, NSArray right)`
`static NSArray` | `reverse(NSArray self)`
`static void` | `reverseEach(NSArray self, Closure closure)`
`static NSSet` | `set(NSArray self)`
`static NSArray` | `sortedArraySortedWithKey(NSArray self, String key, NSSelector selector)`
`static NSArray` | `sortedArrayUsingKeyOrderArray(NSArray self, NSArray sortOrderings)`
`static NSMutableArray` | `sortedMutableArraySortedWithKey(NSArray self, String key)`
`static String` | `stringByEncodingPrimaryKeys(NSArray self, String separator, boolean encrypt)`
`static NSArray` | `valuesForKeyPaths(NSArray self, NSArray paths)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSArrayAdditions

    public NSArrayAdditions()

Method Detail

### arrayByAddingObjectsFromArrayWithoutDuplicates

    public static NSArray arrayByAddingObjectsFromArrayWithoutDuplicates(NSArray self,
                                                                         NSArray other)

### dictionaryGroupedByKeyPath

    public static NSDictionary dictionaryGroupedByKeyPath(NSArray self,
                                                          String keyPath)

### dictionaryGroupedByKeyPath

    public static NSDictionary dictionaryGroupedByKeyPath(NSArray self,
                                                          String keyPath,
                                                          boolean includeNulls,
                                                          String extraKeyPathForValues)

### dictionaryGroupedByToManyKeyPath

    public static NSDictionary dictionaryGroupedByToManyKeyPath(NSArray self,
                                                                String keyPath,
                                                                boolean includeNulls)

### arrayWithoutDuplicateKeyValue

    public static NSArray arrayWithoutDuplicateKeyValue(NSArray self,
                                                        String key)

### arrayWithoutDuplicates

    public static NSArray arrayWithoutDuplicates(NSArray self)

### friendlyDisplayForKeyPath

    public static String friendlyDisplayForKeyPath(NSArray self,
                                                   String attribute,
                                                   String nullArrayDisplay,
                                                   String separator,
                                                   String finalSeparator)

### intersectingElements

    public static NSArray intersectingElements(NSArray self,
                                               NSArray other)

### list

    public static List list(NSArray self)

### dataSource

    public static EOArrayDataSource dataSource(NSArray self)

### set

    public static NSSet set(NSArray self)

### containsAnyObjectFromArray

    public static boolean containsAnyObjectFromArray(NSArray self,
                                                     NSArray objects)

### containsArray

    public static boolean containsArray(NSArray self,
                                        NSArray objects)

### areIdenticalSets

    public static boolean areIdenticalSets(NSArray self,
                                           NSArray other)

### computeAvgForKey

    public static Object computeAvgForKey(NSArray self,
                                          String key)

### computeCountForKey

    public static Object computeCountForKey(NSArray self,
                                            String key)

### computeMaxForKey

    public static Object computeMaxForKey(NSArray self,
                                          String key)

### computeMinForKey

    public static Object computeMinForKey(NSArray self,
                                          String key)

### computeSumForKey

    public static Object computeSumForKey(NSArray self,
                                          String key)

### getAt

    public static Object getAt(NSArray self,
                               int index)

### getAt

    public static Object getAt(NSArray self,
                               String key)

### count

    public static int count(NSArray self,
                            Object object)

### valuesForKeyPaths

    public static NSArray valuesForKeyPaths(NSArray self,
                                            NSArray paths)

### flatten

    public static NSArray flatten(NSArray self)

### filteredArrayWithQualifier

    public static NSArray filteredArrayWithQualifier(NSArray self,
                                                     EOQualifier qualifier)

### filteredArrayWithEntityFetchSpecification

    public static NSArray filteredArrayWithEntityFetchSpecification(NSArray self,
                                                                    String fetchSpec,
                                                                    String entity)

### filteredArrayWithEntityFetchSpecification

    public static NSArray filteredArrayWithEntityFetchSpecification(NSArray self,
                                                                    String entity,
                                                                    String fetchSpec,
                                                                    NSDictionary bindings)

### filteredArrayWithQualifierEvaluation

    public static NSArray filteredArrayWithQualifierEvaluation(NSArray self,
                                                               EOQualifierEvaluation qualifier)

### sortedArrayUsingKeyOrderArray

    public static NSArray sortedArrayUsingKeyOrderArray(NSArray self,
                                                        NSArray sortOrderings)

### sortedArraySortedWithKey

    public static NSArray sortedArraySortedWithKey(NSArray self,
                                                   String key,
                                                   NSSelector selector)

### sortedMutableArraySortedWithKey

    public static NSMutableArray sortedMutableArraySortedWithKey(NSArray self,
                                                                 String key)

### plus

    public static NSArray plus(NSArray left,
                               NSArray right)

### minus

    public static NSArray minus(NSArray left,
                                NSArray right)

### reverse

    public static NSArray reverse(NSArray self)

### each

    public static void each(NSArray self,
                            Closure closure)

### eachWithIndex

    public static void eachWithIndex(NSArray self,
                                     Closure closure)

### reverseEach

    public static void reverseEach(NSArray self,
                                   Closure closure)

### collect

    public static NSArray collect(NSArray self,
                                  Closure closure)

### find

    public static Object find(NSArray self,
                              Closure closure)

### findAll

    public static NSArray findAll(NSArray self,
                                  Closure closure)

### inject

    public static Object inject(NSArray self,
                                Object value,
                                Closure closure)

### dictionaryOfFormValues

    public static NSDictionary dictionaryOfFormValues(NSArray self,
                                                      String separator,
                                                      boolean encrypt)

### stringByEncodingPrimaryKeys

    public static String stringByEncodingPrimaryKeys(NSArray self,
                                                     String separator,
                                                     boolean encrypt)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD